Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QMouseDriverFactory Class Reference

The QMouseDriverFactory class creates QWSMouseHandler objects for Qt/Embedded. More...

`#include <qmousedriverfactory_qws.h>`

List of all member functions.

## Static Public Members

- QStringList keys ()
- QWSMouseHandler * create ( const QString & key, const QString & device )

## Detailed Description

The QMouseDriverFactory class creates QWSMouseHandler objects for Qt/Embedded.

The graphics driver factory creates a QWSMouseHandler object for a given key with QMouseDriverFactory::create(key).

The drivers are either built-in or dynamically loaded from a driver plugin (see QMouseDriverPlugin).

This class is only available in Qt/Embedded.

QMouseDriverFactory::keys() returns a list of valid keys.

## Member Function Documentation

### QWSMouseHandler * QMouseDriverFactory::create ( const QString & key, const QString & device )`[static]`

Creates a QWSMouseHandler object that matches key and uses device device. This is either a built-in driver, or a driver from a driver plugin.

See also keys().

### QStringList QMouseDriverFactory::keys ()`[static]`

Returns the list of keys this factory can create drivers for.

See also create().

This file is part of the Qt toolkit. Copyright © 1995-2005 Trolltech. All Rights Reserved.